Introduction

Navigation: »No topics above this level«

Introduction

 Return to chapter overview

HeavyLoad is intended to stress all resources of a PC (CPU, RAM, hard disk, network, operating system etc.) in order to test if it will run reliably under heavy load. This is useful for assessing important file or database servers before using them productively, or simply to ensure your new PC will not overheat when used intensively.

HeavyLoad also allows testing the behavior of systems under fading system resources (memory, disk space).


Installation

Installation

Simply execute the installer and follow the instructions. HeavyLoad can be uninstalled by the Windows Control Panel. Supported operating systems are Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008 and Windows 7, including the 64Bit editions. In addition to the installer a ZIP file with HeavyLoad is available.

Or you can install HeavyLoad as portable version. Chose a folder on your USB-Stick during the installation and activate "Install as portable version" in the following dialog.


Quickstart

Quickstart

After the installation HeavyLoad may be started using the Windows Start menu or the the desktop icon. We will now explain the most important elements of the HeavyLoad main window:

1. Select the test option(s).
2. In the "Options" dialog, advanced settings such as time limit or used CPU Cores may be set.
3. This button starts the test procedure with the previously selected test options.
4. This button stops all test procedures.
5. Choose the update interval for the chart and decide which statistics are to be shown during the tests.
6. The status bar shows hints and further information about the tests, e.g. current CPU usage.


Start parameters

Navigation: Quickstart >

Start parameters

 Return to chapter overview

HeavyLoad can be called with the following parameters via script or command line.

/CPU (n) | Enables the test option "Stress CPU". Optionally n allows to set the number of used CPU cores for the stress CPU test. The maximum value is specified by your system.
/MEMORY (n) | Enables the test option "Allocate memory". Optionally n allows to set the threshold value of available memory in MB.
/FILE (n) | Enables the test option "Write temp file". Optionally n allows to set the threshold value of available disc space in MB.
/TESTFILEPATH ("\path") | Sets the path the temp file will be written to. This parameter can only be used in combination with the /FILE parameter.
/TREESIZE | Enables the test option: Start TreeSize.
/GPU | Enables the test option: Stress GPU.
/DURATION (n) | Specifies the test duration in minutes. If this parameter is not set, the test will run continuously. Defining of n is not optional!
/AUTOEXIT | Terminates the program automatically after the period n received from /DURATION. This parameter can only be used in combination of the /DURATION n Parameter.
/START | Starts the test procedure.

Example:

HeavyLoad.exe /CPU 2 /MEMORY 200 /FILE 150 /TESTFILEPATH "D:\Users\exampleuser\AppData\Local\Temp\Test1" /GPU /TREESIZE /DURATION 10 /AUTOEXIT /START


What's New

What's new?

 Return to chapter overview

Changes in V3.3: (26 November 2013)

· The test method "Allocate Memory" has been revised. HeavyLoad will now hold the threshold much more stable than before.
· HeavyLoad is now also available as a native 64-bit application. RAM values greater than 2 GB can now be allocated.
· Usability improvement: Options can now be controlled via shortcuts.
· Portable version: The test file will no longer be saved to a non-existing path.
· "Simulate Disc Access" test now uses the latest TreeSize Free V2.7.
· Bugfix (Portable Version): An error occurring when switching to a system with fewer CPU cores has been fixed.
· A few minor fixes have been incorporated.

Changes in V3.2: (October 2012)

· The current settings of HeavyLoad can now be copied as command line parameters to the clipboard via choosing "Misc" in the options dialog.
· A new command line parameter /AUTOEXIT has been added. It is now possible to let the program automatically terminate if the time which was set by the parameter /DURATION has passed.
· The number of cores used for the CPU stress test can now be set via the command line parameter /CPU (n).
· The threshold value of available memory in MB can now be set via the command line parameter /MEMORY (n).
· The threshold value of available disc space in MB can now be set via the command line parameter /FILE (n).
· A new command line parameter /TESTFILEPATH ("\path") has been added. It enables users to set the path the testfile will be saved to.
· The 3D cube from the GPU stress test scales with window size now.
· The check for update function now redirects to the HeavyLoad download site if a newer version is available.
· Bugfix: HeavyLoad GUI will no longer freeze when starting from command line with "/CPU /GPU" options.
· A few minor bug fixes and improvements have been incorporated.

Changes in V3.1: (Mai 2012)

· A stress test for the GPU has been added to HeavyLoad.
· Frames per second are displayed while the GPU test is running.
· You can now choose to install HeavyLoad as portable version e.g. on a USB stick (the settings will be stored in the application path).
· The compatibility for multi-core processors has been improved.
· The count of stressed CPU cores is now adjustable.
· The thread priority of the tests may be changed now.
· The directory the test file will be saved to can now be specified.
· The test file will be overwritten once the threshold is reached.
· Opening the help file from the "Options" dialog by pressing the "F1" key is now possible.
· The options dialog has been completely redesigned.
· The user interface has been revised.
· A few minor bug fixes and improvements have been incorporated.

Changes in V3.0: (November 2010)

· The user interface has been redesigned.
· HeavyLoad is now available as a German version.
· HeavyLoad can now be called with command line parameters.
· HeavyLoad can now allocate the complete physical memory on systems with more than 2GB Memory.
· The chart now displays the free space of the system partition.
· The duration of the test may be set in the Options dialog.
· The values for remaining disk capacity and memory can be defined.
· It is possible to determine the speed in which the temporary test file is written and the memory is allocated.
· Added function to check for available updates.
· HeavyLoad now stores a user's settings in an XML file in the user's profile.
· The support for Windows 2000 has been dropped because Microsoft dropped it in July 2010.
· Bugfix: The temporary test file can now be deleted in all situations.
· Bugfix: The temporary test file can now be written constantly even if the test option "allocate memory" is active.
· Bugfix: The free memory chart now displays the correct value on systems with more than 4GB memory.
· A few minor bug fixes and improvements have been incorporated.

Changes in V2.4.1: (Dec 2009)

· Full support for Windows 7.
· Some minor changes and improvements have been incorporated.

Changes in V2.4: (Jun 2008)

· The full capacity of multi-core processors is used.
· Full support for Windows Server 2008.
· Installer has been added.
· Fixed a problem occurring when multiple instances of HeavyLoad are running.
· Some minor changes and improvements have been incorporated.

Changes in V2.3.1: (Jan 2008)

· Improved help functionality.

Changes in V2.3: (Apr 2007)

· Full support for Windows Vista.
· A test runtime timer was added.
· Some minor changes and improvements have been incorporated.

Changes in V2.2: (Jan 2007)

· Solved a problem with Windows Vista.
· Some minor changes and improvements have been incorporated.

Changes in V2.1: (Feb 2006)

· Name of the test procedure, CPU usage and free memory displayed in status bar.
· Program starts centered, screen layout modified.

Changes in V2.0: (Dec 2002)

· Added chart.
· Added toolbar and about dialog.
· Possibility to select test procedures individually.
· Screensaver and power saving are disabled during the test.

Changes in V1.0: (Jan 1999)

· First public release.


Test Options

Test Options

TestCPU | Full CPU load | This test uses the processor to 100% capacity. For this purpose HeavyLoad performs a complex calculation.
TestWriteFile | Write temp file | HeavyLoad creates a temp file to which it writes data continuously during the test. The data rate at which the test file will be written to disk can be specified in the options dialog.
TestMemory | Allocate Memory | HeavyLoad continuously allocates memory, minimizing the memory available to the system. The data rate at which the memory will be allocated can be specified in the options.
TestTreeSize | Start TreeSize | This test starts an instance of TreeSize Free for each local partition. TreeSize Free will run in a continuous loop until the test is terminated.
TestGPU | Stress GPU | HeavyLoad stresses the GPU (Graphic Processing Unit). A rendered 3D graphic will be used to increase the GPU load during the test.


Options

Options

The "Options" dialog can be opened by click on the menu > Options... or on the [image] button and consists of the following tabs:

· CPU
· Memory
· Testfile
· Misc


CPU Options

Navigation: Options >

CPU Options

 Return to chapter overview

In the "CPU" options tab "Used CPU Cores" and "Thread Priority" can be set.

CPU Options | Used CPU cores Allows to set the number of used CPU cores for the stress CPU test if the system has more than one CPU core.
Thread Options | Thread priority Allows to define the priority with which the threads are running. This can be used to precisely control the system utilization of HeavyLoad. "Idle" means that the CPU will be used only if no other threads are using it. Choosing a higher priority will result in the stress threads having a higher priority than the thread of the user interface, which may make the user interface unresponsive during the tests.


Memory Options

Navigation: Options >

Memory Options

 Return to chapter overview

In the "Memory" tab the "Threshold" and "Intensity" can be set.

Threshold | Free memory Defines the threshold value of available memory. Note: Since other programs also take up memory, the free memory may fall below the set value after HeavyLoad has reached the threshold.
Intensity | Allocate memory speed Defines the speed (MB/s) at which HeavyLoad will allocate memory. Note: The maximum value depends on your system configuration.


Testfile Options

Navigation: Options >

Test File Options

 Return to chapter overview

In the "Test File" tab the "Threshold", "Intensity" and "Test File Path" can be set.

Threshold | Free space Defines the free space threshold value of your system drive. Note: As other programs take up disk space, the free disk space may fall below the set value after HeavyLoad has reached the threshold.
Intensity | Test file writing speed Defines the speed (MB/s) at which the test file is written to the hard disk. Note: The maximum value is specified by your system.
Test File Path | The place where the test file will be saved temporary.


Misc Options

Navigation: Options >

Misc Options

 Return to chapter overview

In the "Misc" tab "Test Duration" and "Program Settings" can be set.

Test duration | Continuously Runs the selected tests until the user stops them manually. End test after [value] The selected tests will be stopped automatically after the chosen period. Auto exit Close HeavyLoad automatically after the period from "End test after" has expired.
Program Settings | Restores the program settings to default values.
Command Line options | Creates the command line parameters with the currently used settings and copies them to the clipboard. With [STRG+V] the created string can be used in CMD.EXE or in a script to start HeavyLoad via command line.


Tips & Annotations

Tips & Annotations

· HeavyLoad uses our freeware TreeSize Free in an infinite loop to produce additional activity. Please find additional information about TreeSize under http://www.jam-software.com/treesize_free.
· After running tests with HeavyLoad, your PC's memory will be fragmented and the swap file may have grown quite large. Therefore, we recommend restarting Windows after using HeavyLoad.
· If HeavyLoad has not been terminated normally, e.g. because of an unstable PC or operating system, a large test file may be left in one of the temp directories on your PC. It should be deleted manually.
· The GPU stress test will only work properly with a real graphics card and the latest drivers. If you have not installed an independent graphic adapter, this test may result in a higher CPU load or fail entirely. If run on virtual machines or via remote session, this test may produce faulty representations of the 3D component.


Copyright & Contact

Copyright & Contact

Copyright © 2013 Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

FAX: | +49 651-145653-29
WWW: | http://www.jam-software.com
Support: | http://www.jam-software.com/customers/contact.php
Email: | HeavyLoad@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder

Please click here to read the Third Party License Agreement.


Third Party License Agreement

Third Party License Agreement

This program uses components from www.glscene.org